Version: 0.17
#%define SubVer ""
Release: alt6
Name: emacs-eieio
Copyright: GPL
Group: Editors
Url: http://cedet.sourceforge.net/eieio.shtml
Summary: CLOS for Emacs
Summary(ru_RU.CP1251): -   Emacs
Requires: emacs-common emacsen-startscripts emacs-speedbar

Source: eieio-%{version}.tar.gz
Source1: eieio-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 18 2002
BuildRequires: emacs-common emacsen-startscripts >= 0.0.3-alt3 emacs-speedbar

%description
EIEIO is a framework for writing object oriented applications in
emacs lisp. It like CLOS (Common Lisp Object System)

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
EIEIO       
  emacs lisp.

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n eieio-%{version}

%build
make all  LOADPATH="%{_emacslispdir}/speedbar"

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/eieio
install -m 644 *.el* $RPM_BUILD_ROOT%{_emacslispdir}/eieio

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/21eieio.el

%clean

%post
%install_info eieio.info

%preun
%uninstall_info eieio.info

%files
%defattr(-, root, root)
%doc INSTALL ChangeLog
%{_infodir}/*
%{_emacslispdir}/eieio/*.elc
/etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/eieio/*.el

%changelog
* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 0.17-alt6
- Fixing spec

* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 0.17-alt5
- Fixing spec file

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.17-alt4
- fixing spec

* Thu Aug 22 2002 Ott Alex <ott@altlinux.ru> 0.17-alt2
- Splitting on byte-compiled & source packages

* Wed Aug 14 2002 Ott Alex <ott@altlinux.ru> 0.17-alt1
- Release of version 0.17

* Tue Aug 06 2002 Ott Alex <ott@altlinux.ru> 0.17-alt0.2.beta4
- Adding right Requires to spec

* Thu Jul 18 2002 Ott Alex <ott@altlinux.ru> 0.17-alt0.1.beta4
- Initial build

